Skip to main content
PUT
/
api-keys
/
{id}
from portkey_ai import Portkey # Initialize the Portkey client portkey = Portkey( api_key="PORTKEY_API_KEY", ) # Update the API key updated_api_key = portkey.api_keys.update( id="API_KEY_ID", name="API_KEY_NAME_0909", rate_limits=[ { "type": "requests", "unit": "rpm", "value": 100 } ], scopes=[ "organisation_users.create", "organisation_users.read", "organisation_users.update", "organisation_users.delete", "organisation_users.list", "organisation_service_api_keys.create", "organisation_service_api_keys.update", "organisation_service_api_keys.read", "organisation_service_api_keys.delete", "organisation_service_api_keys.list", "workspaces.delete", "workspaces.create", "workspaces.read", "workspaces.update", "workspaces.list", "logs.export", "logs.list", "logs.view", "configs.create", "configs.update", "configs.delete", "configs.read", "configs.list", "virtual_keys.create", "virtual_keys.update", "virtual_keys.delete", "virtual_keys.duplicate", "virtual_keys.read", "virtual_keys.list", "virtual_keys.copy", "workspace_service_api_keys.create", "workspace_service_api_keys.delete", "workspace_service_api_keys.update", "workspace_service_api_keys.read", "workspace_service_api_keys.list", "workspace_user_api_keys.create", "workspace_user_api_keys.delete", "workspace_user_api_keys.update", "workspace_user_api_keys.read", "workspace_user_api_keys.list", "workspace_users.create", "workspace_users.read", "workspace_users.update", "workspace_users.delete", "workspace_users.list", "analytics.view" ] ) print(updated_api_key)
{}

Authorizations

x-portkey-api-key
string
header
required

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
Example:

"Development API Key"

description
string
Example:

"API key for development environment"

rate_limits
object[]
usage_limits
object
Example:
{
  "credit_limit": 10,
  "periodic_reset": "monthly",
  "alert_threshold": 8
}
scopes
string[]
Example:
["completions.write"]
defaults
object
alert_emails
string<email>[]

Response

200 - application/json

OK

The response is of type object.

Last modified on March 17, 2026